<!DOCTYPE html>
<html lang="fr">
<head>
{% include 'templates/favicon.html' %}
{% include 'templates/global.css.html' %}

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Droite interactive</title>
    <link rel="stylesheet" href="style.css?COMMITHASH">
    <link rel="icon" href="favicon.ico" type="image/x-icon">
</head>
<body>
{% include 'templates/widget_back_menu.html' %}

   <div id="reglages">
      <span class="reglage">
          <span>Min</span>
          <input type="number" id="input-nombre-min" onchange="creer(inputNombreMin)" onblur="creer(inputNombreMin)" onkeypress="if(event.keyCode === 13) creer(inputNombreMin)">
      </span>
  
      <span class="reglage">
          <span>Aller à</span>
          <input type="number" id="input-nombre-courant" onchange="allerA(inputNombreCourant.value)" onblur="allerA(inputNombreCourant.value)" onkeypress="if(event.keyCode === 13) allerA(inputNombreCourant.value)">
      </span>        
      <span class="reglage">
          <span>Max</span>
          <input type="number" id="input-nombre-max" onchange="creer(inputNombreMax)" onblur="creer(inputNombreMax)" onkeypress="if(event.keyCode === 13) creer(inputNombreMax)">
      </span>
  </div>
  
  



    <div id="milieu">
      
      <div id="zone-boutons-bas">
         <button id="bouton-poubelle" title="Supprimer tous les blocs" onclick="supprimerBlocs()"></button>
         <button id="bouton-masquer-blocs" title="Masquer toutes les valeurs des blocs" onclick="visibiliteDesValeurs(false)"></button>
         <button id="bouton-afficher-blocs" title="Afficher toutes les valeurs des blocs" onclick="visibiliteDesValeurs(true)"></button>
      </div>
      <div id="zone-zoom-bas">
         <p>Zoom</p>
         <input type="range" min="1" max="200" value="100" onchange="zoom(this.value)">
      </div>
        <div id="panneau">
            <button id="bouton-panneau" title="Options d'affichage" onclick="visibilitePanneau()"></button>
            <button class="bouton-panneau" onclick="visibiliteValeurs(0,this)">Aucun nombre</button>
            <button class="bouton-panneau" onclick="visibiliteValeurs(10,this)">Multiples de 10</button>
            <button class="bouton-panneau" onclick="visibiliteValeurs(5,this)">Multiples de 5</button>
            <button class="bouton-panneau" onclick="visibiliteValeurs(2,this)">Nombres pairs</button>
            <button class="bouton-panneau" id="bouton-panneau-1" onclick="visibiliteValeurs(1,this)">Tous les nombres</button>
            <div class="zone-option">
               <h1>Opacité des blocs</h1>
               <input type="range" class="input-panneau" id="input-opacite" min="0" max="1" step="0.05" oninput="opaciteBlocs(this.value)">
            </div>
            <div class="zone-option">
               <h1>Opacité des nombres</h1>
               <input type="range" class="input-panneau" id="input-opacite-nombres" min="0" max="1" step="0.05" oninput="opaciteNombres(this.value)">
            </div>
            <button class="bouton-panneau" id="bouton-visibilite-droite" onclick="visibiliteDroite()">Masquer la droite</button>
      
         </div>

        <div id="zone-droite">


            <div id="modeles">
                <div id="bloc-modele" class="modele"></div>
                <div id="pont-modele" class="modele"></div>
                <div id="ponts-modele" class="modele"></div>
                <div id="sucette-modele" class="modele">
                  <div class="tete-sucette"></div>
                  <div class="manche-sucette"></div>
                </div>
            </div>
            <div id="droite"></div>            
        </div>
    </div>
    
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
    <svg   
       height="50"
       width="100"
       class="hide"
       id="modele-svg-fleche"
       viewBox="0 0 100 50"
       version="1.1"
       sodipodi:docname="test.svg"
       inkscape:version="0.92.5 (2060ec1f9f, 2020-04-08)">      
      <defs
         id="defs6">
        <linearGradient
           id="linearGradient893">
          <stop
             style="stop-color:#ff0000;stop-opacity:1;"
             offset="0"
             id="stop889" />
          <stop
             style="stop-color:#ff0af1;stop-opacity:1"
             offset="1"
             id="stop891" />
        </linearGradient>
        <marker
           orient="auto"
           refY="0"
           refX="0"
           id="Arrow2Send"
           style="overflow:visible">
          <path
             id="path852"
             style="fill:#ff0af1;fill-opacity:1;fill-rule:evenodd;stroke:#ff0af1;stroke-width:0.625;stroke-linejoin:round;stroke-opacity:1"
             d="M 8.7185878,4.0337352 -2.2072895,0.01601326 8.7185884,-4.0017078 c -1.7454984,2.3720609 -1.7354408,5.6174519 -6e-7,8.035443 z"
             transform="matrix(-0.3,0,0,-0.3,0.69,0)" />
        </marker>
        <marker
           orient="auto"
           refY="0"
           refX="0"
           id="TriangleOutL"
           style="overflow:visible">
          <path
             id="path961"
             d="M 5.77,0 -2.88,5 V -5 Z"
             style="fill:#000000;fill-opacity:1;fill-rule:evenodd;stroke:#000000;stroke-width:1.00000003pt;stroke-opacity:1"
             transform="scale(0.8)" />
        </marker>
        <marker
           orient="auto"
           refY="0"
           refX="0"
           id="Arrow2Lend"
           style="overflow:visible">
          <path
             id="path840"
             style="fill:#000000;fill-opacity:1;fill-rule:evenodd;stroke:#000000;stroke-width:0.625;stroke-linejoin:round;stroke-opacity:1"
             d="M 8.7185878,4.0337352 -2.2072895,0.01601326 8.7185884,-4.0017078 c -1.7454984,2.3720609 -1.7354408,5.6174519 -6e-7,8.035443 z"
             transform="matrix(-1.1,0,0,-1.1,-1.1,0)" />
        </marker>
        <marker
           orient="auto"
           refY="0"
           refX="0"
           id="Arrow1Mend"
           style="overflow:visible">
          <path
             id="path828"
             d="M 0,0 5,-5 -12.5,0 5,5 Z"
             style="fill:#000000;fill-opacity:1;fill-rule:evenodd;stroke:#000000;stroke-width:1.00000003pt;stroke-opacity:1"
             transform="matrix(-0.4,0,0,-0.4,-4,0)" />
        </marker>
        <marker
           orient="auto"
           refY="0"
           refX="0"
           id="Arrow1Lend"
           style="overflow:visible">
          <path
             id="path822"
             d="M 0,0 5,-5 -12.5,0 5,5 Z"
             style="fill:#000000;fill-opacity:1;fill-rule:evenodd;stroke:#000000;stroke-width:1.00000003pt;stroke-opacity:1"
             transform="matrix(-0.8,0,0,-0.8,-10,0)" />
        </marker>
        <linearGradient
           gradientTransform="matrix(3.7795275,0,0,3.7795275,-243.89227,-936.87452)"
           xlink:href="#linearGradient893"
           id="linearGradient895"
           x1="30.873866"
           y1="236.27212"
           x2="132.20365"
           y2="236.27212"
           gradientUnits="userSpaceOnUse" />
        <linearGradient
           inkscape:collect="always"
           xlink:href="#linearGradient893"
           id="linearGradient988"
           x1="2.8998414e-08"
           y1="25.001146"
           x2="100"
           y2="25.001146"
           gradientUnits="userSpaceOnUse" />
      </defs>
      <sodipodi:namedview
         pagecolor="#ffffff"
         bordercolor="#666666"
         borderopacity="1"
         objecttolerance="10"
         gridtolerance="10"
         guidetolerance="10"
         inkscape:pageopacity="0"
         inkscape:pageshadow="2"
         inkscape:window-width="1398"
         inkscape:window-height="851"
         id="namedview4"
         showgrid="false"
         inkscape:zoom="5.5437172"
         inkscape:cx="52.28656"
         inkscape:cy="-2.6305602"
         inkscape:window-x="42"
         inkscape:window-y="25"
         inkscape:window-maximized="1"
         inkscape:current-layer="modele-svg-fleche" />
      <path
         style="fill:none;stroke:url(#linearGradient988);stroke-width:4.76190615"
         id="arc-de-cercle"
         d="m 2.3809531,50.000001 a 47.619047,47.619069 0 0 1 95.2380939,0" />
    </svg>
      


    <script src="script.js?COMMITHASH"></script>
{% include 'templates/global.js.html' %}
</body>
</html>
